%define name openrm
%define version 1.4.0
%define release 1mdk

%define major 1
%define libname lib%name%major

Summary: OpenRM is a development environment used to build portable 2D/3D/stereo high performance graphics, virtual reality, visualization applications and games for Unix/X11 and Win32 platforms.
Name: %name
Version: %version
Release: %release
Source0: openrm-devel-1.4.0.tar.bz2
Source1: openrm-demo-1.4.0.tar.bz2
Source2: openrm-cave-demo-1.4.0.tar.bz2
Patch: openrm-1.4.0.patch
URL: http://openrm.sourceforge.net/
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/openrm-buildroot
Requires: libGL.so.1, libGLU.so.1, libjpeg.so.62

%description
OpenRM Scene Graph is set of tools and utilities that implement a
high performance, flexible and extendible scene graph API. Underneath
OpenRM, OpenGL(tm) is used as the graphics platform for rendering,
so OpenRM is highly portable and can deliver blazing rendering speeds.
OpenRM can be used on any platform that has OpenGL

%package -n %libname
License: LGPL
Group: System/Libraries
Summary: OpenRM is a development environment to build high performance graphics.

%description -n %libname
OpenRM Scene Graph is set of tools and utilities that implement a
high performance, flexible and extendible scene graph API. Underneath
OpenRM, OpenGL(tm) is used as the graphics platform for rendering,
so OpenRM is highly portable and can deliver blazing rendering speeds.
OpenRM can be used on any platform that has OpenGL

%package -n %libname-devel
License: LGPL
Group: System/Libraries
Summary: OpenRM is a development environment to build high performance graphics.
Requires: %libname = %version
Provides: libopenrm-devel

%description -n %libname-devel
OpenRM Scene Graph is set of tools and utilities that implement a
high performance, flexible and extendible scene graph API. Underneath
OpenRM, OpenGL(tm) is used as the graphics platform for rendering,
so OpenRM is highly portable and can deliver blazing rendering speeds.
OpenRM can be used on any platform that has OpenGL


%prep
rm -rf $RPM_BUILD_ROOT
cd ${RPM_BUILD_DIR}
rm -rf rm140 rmdemo openRMCaveDemos
bunzip2 -c ${RPM_SOURCE_DIR}/openrm-devel-1.4.0.tar.bz2 | tar xvf -
bunzip2 -c ${RPM_SOURCE_DIR}/openrm-demo-1.4.0.tar.bz2 | tar xvf -
bunzip2 -c ${RPM_SOURCE_DIR}/openrm-cave-demo-1.4.0.tar.bz2 | tar xvf -
cd ${RPM_BUILD_DIR}/rm140
%patch -p1

%build
cd ${RPM_BUILD_DIR}/rm140
make linux
make docs
cd ${RPM_BUILD_DIR}/rmdemo
./configure -opengl=/usr -rm=/usr -x11=/usr/X11R6 -opt='-O2' -jpeg=/usr
cd ${RPM_BUILD_DIR}/openRMCaveDemos
./configure -opengl=/usr -rm=/usr -x11=/usr/X11R6 -opt='-O2'

%install
mkdir -p ${RPM_BUILD_ROOT}/usr
mv -f ${RPM_BUILD_DIR}/rm140/include ${RPM_BUILD_ROOT}/usr
mv -f ${RPM_BUILD_DIR}/rm140/lib ${RPM_BUILD_ROOT}/usr


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc rm140/FUTUREPLANS rm140/LICENSE.html rm140/README rm140/RELEASENOTES rm140/VERSION rm140/doc/HTML rmdemo openRMCaveDemos
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%_libdir/*.a

%changelog
* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- added by Henrik Nagel <hrn@cvmt.dk> :
	- Initial version

# end of file
